commit:     12fc95e0cbcc89ca0ba3dd892d1ef0b4c4a5a1c0
Author:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
AuthorDate: Tue Sep 19 01:05:01 2023 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Sep 19 04:34:28 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12fc95e0

app-containers/buildah: add 1.32.0

Closes: https://github.com/gentoo/gentoo/pull/32918
Closes: https://bugs.gentoo.org/914417
Signed-off-by: Rahil Bhimjiani <rahil3108 <AT> gmail.com>
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-containers/buildah/Manifest              |  1 +
 app-containers/buildah/buildah-1.32.0.ebuild | 84 ++++++++++++++++++++++++++++
 app-containers/buildah/metadata.xml          |  6 ++
 3 files changed, 91 insertions(+)

diff --git a/app-containers/buildah/Manifest b/app-containers/buildah/Manifest
index 1fd123b39e14..85c2689ec816 100644
--- a/app-containers/buildah/Manifest
+++ b/app-containers/buildah/Manifest
@@ -1,2 +1,3 @@
 DIST buildah-1.29.1.tar.gz 15594930 BLAKE2B 
71b87352062b3a5df67389897fd0d82c2491c48cffbda808b30e2767a1e290eccfd726be26dbd57fd8d08cfacb74f313058179c40600225d863a9340b772df1e
 SHA512 
ea78aacee9b5cc10e299789d739e7086579e67719ab72b84f6ea5acbaf31d443284387ac92e7c5c1c3da9bd6523f43e2d9c7e2ea5698c251cb5458a384f41b04
 DIST buildah-1.30.0.tar.gz 15623786 BLAKE2B 
e0b2f6d26827cfe40f88a9915f12b6acb385fbd576fa227d4fee02c162077e9c6fe0591c7171405f5645cd06e4068f26e17c2cb963898e38cfbdd61abe68dae2
 SHA512 
185fd98a59fa8d86fe9f1eadc9b7591e5053674464be10538a7581d8e1f6a25e5032a354c821c32a167e2864acea010243efbbe4f5a4205d8eaa2894f062a25b
+DIST buildah-1.32.0.tar.gz 18445843 BLAKE2B 
d7471e3f0733bc626f665c592701666ba41732eb53bf4679da7e9e28dad388532ab8c88e86db553790ced7822168fd6388dc08121e1456404f18a5d96017da60
 SHA512 
7c61141e43ea2f968a50b4c5ae6b69c2b9734a19774c7ca48bc942b900ca55ec381ac93fdf04f08061640a457551a9e03a45a37d22cb94b34cecded192dced8f

diff --git a/app-containers/buildah/buildah-1.32.0.ebuild 
b/app-containers/buildah/buildah-1.32.0.ebuild
new file mode 100644
index 000000000000..99b52da91893
--- /dev/null
+++ b/app-containers/buildah/buildah-1.32.0.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 go-module linux-info
+GIT_COMMIT=2326d49
+
+DESCRIPTION="A tool that facilitates building OCI images"
+HOMEPAGE="https://github.com/containers/buildah";
+SRC_URI="https://github.com/containers/buildah/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="btrfs systemd doc test"
+RESTRICT="test"
+
+DEPEND="
+       systemd? ( sys-apps/systemd )
+       btrfs? ( sys-fs/btrfs-progs )
+       app-crypt/gpgme:=
+       dev-libs/libgpg-error:=
+       dev-libs/libassuan:=
+       sys-apps/shadow:=
+       sys-libs/libseccomp:=
+"
+RDEPEND="${DEPEND}"
+
+pkg_pretend() {
+       local CONFIG_CHECK=""
+       use btrfs && CONFIG_CHECK+=" ~BTRFS_FS"
+       check_extra_config
+
+       if ! linux_config_exists; then
+               ewarn "Cannot determine configuration of your kernel."
+       fi
+}
+
+src_prepare() {
+       default
+
+       [[ -f hack/systemd_tag.sh ]] || die
+       if use systemd; then
+               echo -e '#!/usr/bin/env bash\necho systemd' > 
hack/systemd_tag.sh || die
+       else
+               echo -e '#!/usr/bin/env bash\necho' > hack/systemd_tag.sh || die
+       fi
+
+       [[ -f btrfs_installed_tag.sh ]] || die
+       [[ -f btrfs_tag.sh ]] || die
+       if use btrfs; then
+               echo -e '#!/usr/bin/env bash\necho btrfs_noversion' > 
btrfs_tag.sh || die
+       else
+               echo -e '#!/usr/bin/env bash\necho exclude_graphdriver_btrfs' > 
btrfs_installed_tag.sh || die
+       fi
+
+       if ! use test; then
+               cat << 'EOF' > "${T}/Makefile.patch"
+--- Makefile
++++ Makefile
+@@ -54 +54 @@
+-all: bin/buildah bin/imgtype bin/copy bin/tutorial docs
++all: bin/buildah docs
+EOF
+               eapply -p0 "${T}/Makefile.patch"
+       fi
+}
+
+src_compile() {
+       emake GIT_COMMIT=${GIT_COMMIT} all
+}
+
+src_test() {
+       emake test-unit
+}
+
+src_install() {
+       use doc && dodoc CHANGELOG.md CONTRIBUTING.md README.md install.md 
troubleshooting.md
+       use doc && dodoc -r docs/tutorials
+       doman docs/*.1
+       dobin bin/${PN}
+       dobashcomp contrib/completions/bash/buildah
+}

diff --git a/app-containers/buildah/metadata.xml 
b/app-containers/buildah/metadata.xml
index f3f28d12b5c5..93c8449bacbb 100644
--- a/app-containers/buildah/metadata.xml
+++ b/app-containers/buildah/metadata.xml
@@ -8,4 +8,10 @@
        <upstream>
                <remote-id type="github">containers/buildah</remote-id>
        </upstream>
+    <use>
+         <flag name="btrfs">
+               Enables dependencies for the "btrfs" graph driver, including
+               necessary kernel flags.
+         </flag>
+    </use>
 </pkgmetadata>

Reply via email to